# Functor Type_abstract.Make3

    module Make3: functor (X : Named_intf.S3) -> Typerepable.S3
      with type ('a, 'b, 'c) t := ('a, 'b, 'c) X.t

Parameters:

`X` | : | `Named_intf.S3`

    type ('a, 'b, 'c) t

    val typerep_of_t : 'a Std_internal.Typerep.t ->
           'b Std_internal.Typerep.t ->
           'c Std_internal.Typerep.t ->
           ('a, 'b, 'c) t Std_internal.Typerep.t

    val typename_of_t : 'a Typename.t ->
           'b Typename.t -> 'c Typename.t -> ('a, 'b, 'c) t Typename.t